%Start OUT_COMM IN_COMM

%%
                                { BEGIN OUT_COMM; }
<OUT_COMM>"/*"                  { BEGIN IN_COMM; }
<IN_COMM>.|\n                   { }
<IN_COMM>"*/"                   { BEGIN OUT_COMM; }
<OUT_COMM>.|\n                  { ECHO; }
<OUT_COMM>"//".*\n              { printf("\n"); }

%%

int main(int argc, char *argv[]) {

    if (argc > 1) {
        /* Read input from a file instead of standard input */
        if (freopen(argv[1], "r", stdin) == NULL) {
            perror("Cannot open input file");
            exit(1);
        }
    }

    if (argc > 2) {
        /* Output to a file instead of standard input */
        if (freopen(argv[2], "w", stdout) == NULL) {
            perror("Cannot open output file");
            exit(1);
        }
    }

    yylex();
    return 0;
}

int yywrap() {
    return 1;
}
